Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156064 - OpenOffice.org .desktop files should be namespaced
Summary: OpenOffice.org .desktop files should be namespaced
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 09:34 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.97-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 12:47:08 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2005-04-27 09:34:36 UTC
From:

  http://standards.freedesktop.org/menu-spec/latest/apc.html

"
 Install desktop entries to datadir/applications/ for each menu item. Please
namespace the filename, as in "vendor-foo.desktop", or use a subdirectory of
datadir/applications/ so you have "vendor/foo.desktop.
"

So, either writer.desktop, impress.desktop etc. should all become
openoffice.org-writer.desktop and openoffice.org-impress.desktop or they should
all be installed in /usr/share/applications/openoffice.org

Comment 1 Caolan McNamara 2005-04-27 11:45:46 UTC
Turns out the upstream .desktops are namespaced, as openoffice.org-1.9-etc.
Our's weren't because I short-cutted the OOo install and took the unprocessed
and unprefixed .desktop files. Next spin will be as upstream and name them with
the upstream openoffice.org-1.9 prefix


Note You need to log in before you can comment on or make changes to this bug.